package whatsapp

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/whatsapp"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /whatsapp/createTemplate whatsapp CreateWhatsappTemplate
//
// 创建模板
//
// 创建模板
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: createTemplateReq
//
// Responses:
//  200: BaseDataInfo

func CreateWhatsappTemplateHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.CreateTemplateReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := whatsapp.NewCreateWhatsappTemplateLogic(r.Context(), svcCtx)
		resp, err := l.CreateWhatsappTemplate(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
